Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/33053/?format=api
{ "ob_id": 33053, "uuid": "f24175ec280b4e1296bb80eb86f88f68", "title": "ESA Sea Level Climate Change Initiative (Sea_Level_cci): High Latitude Sea Level Anomalies from satellite altimetry (by DTU/TUM)", "abstract": "This dataset contains high latitude sea level anomalies produced by DTU (Technical University of Denmark) and TUM (Technical University of Munich) as part of the ESA Sea Level CCI (Climate Change Initiative) project, covering both the Arctic and Antarctic regions.\r\n\r\nThe data comprises weekly means from August 1991 to April 2017 and has been obtained using satellite altimetry data from four satellite missions: ERS1 (weeks 0 - 217); ERS2 (weeks 218 - 573); Envisat (weeks 574 - 1020); CryoSat-2 (weeks 1021 - 1336).\r\n\r\nTwo datasets are available: dataset #1 is based on the ALES+ retracking without correction of the inverse barometer whereas dataset #2 has been corrected for this effect.\r\n\r\nDataset #1 is provided both 'masked' and 'unmasked', where the masked data have been masked using sea ice concentrations downloaded from osisaf.met.no/p/ice. Dataset #2 is provided both 'masked' and 'unmasked', where the masked data have had data points retrieved over land removed from the files.", "keywords": "ESA CCI, SLA", "publicationState": "published", "dataPublishedTime": "2021-12-16T11:13:44", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/33439/?format=api", "dataPath": "/neodc/esacci/sea_level/data/DTU_TUM_Arctic_Antarctic_MSLA/20170720/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 12545439986, "numberOfFiles": 6593, "fileFormat": "Data are in ascii format.\r\n\r\nFor dataset 1 the columns are:\r\n\r\nLongitude,\r\nLatitude,\r\nHeight (always 0),\r\nSea level anomaly (SLA),\r\nSLA error,\r\nData origin (mission).\r\n\r\nThe time in the filename denotes the beginning of the data, and files contain weekly means.\r\n\r\n\r\nFor Dataset 2 the columns are: \r\n\r\nLongitude,\r\nLatitude,\r\nHeight (always 0),\r\nSea level anomaly (SLA).\r\n\r\nThe filename states the region and the month and year of the dataset (YYYYMM)." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9078/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The product has been developed within the sea level project of the European Space Agency (ESA) Climate Change Initiative. A copy has been transferred to CEDA as part of the ESA CCI Open Data Portal project.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13331/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/12684/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147621/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147622/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147623/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147624/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147625/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147626/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/147627/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/149302/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/33445/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2584/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_sealevel_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" }, { "ob_id": 1140, "name": "ESACCI" } ] }